Bug 447172 - firefox crashes when closing a tab sometimes
firefox crashes when closing a tab sometimes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 10:47 EDT by Martin Jürgens
Modified: 2008-07-26 18:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2008-06-23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-26 18:47:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
firefox backtrace (8.63 KB, text/plain)
2008-05-18 10:47 EDT, Martin Jürgens
no flags Details

  None (edit)
Description Martin Jürgens 2008-05-18 10:47:16 EDT
Description of problem:
My firefox crashes sometimes when I try to close a tab while I have another one
open. After it crashed, I was able to let it crash as often as I wanted by
starting it and continuing the session. I was able to get a backtrace at which
you might want to have a look at.
Comment 1 Martin Jürgens 2008-05-18 10:47:16 EDT
Created attachment 305852 [details]
firefox backtrace
Comment 2 Matěj Cepl 2008-05-19 04:15:28 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Martin Jürgens 2008-05-19 08:44:45 EDT
I have now install debuginfos, but still have to wait for a crash. Can take some
days. Sorry.
Comment 4 Matěj Cepl 2008-05-19 10:10:50 EDT
Sure, let's keep that NEEDINFO active then.
Comment 5 Matěj Cepl 2008-06-23 18:08:39 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Martin Jürgens 2008-06-23 18:12:42 EDT
Did not appear again.. Will reopen if it does and I can get a backtrace.
Comment 7 Matěj Cepl 2008-07-26 18:47:19 EDT
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.